Kodi Community Forum
[RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - Printable Version

+- Kodi Community Forum (http://forum.kodi.tv)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: Add-ons Help and Support (/forumdisplay.php?fid=27)
+---- Forum: Video Add-ons (/forumdisplay.php?fid=154)
+---- Thread: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC (/showthread.php?tid=79487)



- nmirza - 2011-12-06 05:46

so it says that the login issues have been fixed, but as of 2 days ago for some reason i can't log into youtube. It says Login failed - false.
i went into addons, and onto youtube, and it still shows version 2.7. I tred disabling and enabling but no luck. tried uninstalling but it says plugin used by themoviedb can't uninstall. I deleted it from the aplication support addons directory and tried re installing but again still shows 2.7. I've been using nightlies, and when i started having these login issues i even udated to the latest one from yesterday but no luck.

any way for me to force update to 2.8? I did go onto update in the youtube plugin info in addons. it says addon updated but still shows 2.7

Not sure whats going on anybody got any clues?

TobiasTheCommie Wrote:For Eden-pre:

Changelog 2.8.0
- Changed All videos now have a unique path from xbmc's perspective eventhough they're present in different folders.
- Changed Replaced the categories scraper with api calls
- Moved some functions from youtube utils to common so they can be shared between different plugins
- Fixed music artist and top hit's scraper
- Added play all option to youtube top 100
- Added setting to control playback of 3d anaglyph streams
- Changed downloader into a seperate service.
- Fixed login

For Dharma:
Changelog 2.1.3
- Fixed login.

We will no longer be providing zip files for our releases, since that has become unfeasible.



- TobiasTheCommie - 2011-12-06 13:54

nmirza Wrote:so it says that the login issues have been fixed, but as of 2 days ago for some reason i can't log into youtube. It says Login failed - false.
i went into addons, and onto youtube, and it still shows version 2.7. I tred disabling and enabling but no luck. tried uninstalling but it says plugin used by themoviedb can't uninstall. I deleted it from the aplication support addons directory and tried re installing but again still shows 2.7. I've been using nightlies, and when i started having these login issues i even udated to the latest one from yesterday but no luck.

any way for me to force update to 2.8? I did go onto update in the youtube plugin info in addons. it says addon updated but still shows 2.7

Not sure whats going on anybody got any clues?

You have to wait till our pull request is merged. I expect this to happen today, but it really is totally out of our hands at this point. So wait a bit.


- meandor - 2011-12-06 15:06

i can not login for some reason, i dont know why, i even checked the troubleshooting and did what was said in there.

i installed From repository
this is my log:

http://pastebin.com/RGfSwC3p


- TobiasTheCommie - 2011-12-06 15:15

meandor Wrote:i can not login for some reason, i dont know why, i even checked the troubleshooting and did what was said in there.

i installed From repository
this is my log:

http://pastebin.com/RGfSwC3p

Fixed in the 2.8.0 release, wait for it to reach the repository then upgrade.


- Kahnyl - 2011-12-06 19:26

Thanks for fixing the login so quickly.


- TobiasTheCommie - 2011-12-07 00:19

The updated version is now in the add-on repo.


- Kahnyl - 2011-12-07 02:19

I'm not seeing it yet.


- vikksterr - 2011-12-07 02:23

i can't see it either.


- Tomasu - 2011-12-07 05:59

I just updated to 2.8 from git (I'm running xbmc from git as well), I still seem to be getting the "Login false" error.


- TobiasTheCommie - 2011-12-07 10:21

Tomasu Wrote:I just updated to 2.8 from git (I'm running xbmc from git as well), I still seem to be getting the "Login false" error.

You really shouldn't be upgading YouTube from git, it has quite a few dependencies that are required that you need to add manually as well.

I highly suggest you install youtube 2.8.0 from the addon-repository.

If you can't find 2.8.0 in the addon-repository, you need to update it.

If you are still having problems with login with 2.8.0 do this:
http://wiki.xbmc.org/index.php?title=Add-on:YouTube#Creating_a_usefull_debug_log


- activate - 2011-12-07 12:01

Login working, updating from rep. Thanks Smile


- pike - 2011-12-07 13:48

so I'm on 2.8.0 (the latest and greatest) ? on eden-pre and My Liked Videos says: No Results! and I know there should be 100's...

Code:
12:46:17 T:140292054988736   ERROR: GetDirectory - Error getting plugin://plugin.video.youtube/?path=/root/liked&scraper=liked_videos&login=true&
12:46:17 T:140292054988736   ERROR: CGUIMediaWindow::GetDirectory(plugin://plugin.video.youtube/?path=/root/liked&scraper=liked_videos&login=true&) failed



- TobiasTheCommie - 2011-12-07 13:57

Try logging out and logging back in.

If it still fails, debug log.


- pike - 2011-12-07 14:50

where's the logout option ? Tongue I must be blind, lol


- TobiasTheCommie - 2011-12-07 15:11

Heh, change your login info to something that isn't valid. Press ok to close the settings and get logged out.